libzypp 17.38.15

ztui::ansi::Color::Comp Union Reference

## Classes
struct | [struct].__unnamed0__

## Public Member Functions
| Comp ()
| Comp (Attr attr_r, Fg fg_r, Bg bg_r)

## Public Attributes
struct |
UidType | uid

## Detailed Description

Definition at line 449 of file ansi.h.

## Constructor & Destructor Documentation

## ◆ Comp() [1/2]

ztui::ansi::Color::Comp::Comp | ( |  | ) |
| inline

Definition at line 450 of file ansi.h.

## ◆ Comp() [2/2]

ztui::ansi::Color::Comp::Comp | ( | Attr | attr_r,
|  | Fg | fg_r,
|  | Bg | bg_r )
| inline

Definition at line 454 of file ansi.h.

## Member Data Documentation

## ◆ @035141330060040212241370171263362031334037302051

struct ztui::ansi::Color::Comp::[struct].__unnamed0__ ztui::ansi::Color::Comp

## ◆ uid

UidType ztui::ansi::Color::Comp::uid

Definition at line 464 of file ansi.h.

The documentation for this union was generated from the following file:

- zypp-tui/utils/ansi.h